#!/bin/bash
curl -XPOST 'http://localhost:3050/faktura' \
  -H 'Connection: keep-alive' \
  -H 'Pragma: no-cache' \
  -H 'Cache-Control: no-cache' \
  -H 'Content-type: application/json' \
  -d '
{
   "lines" : [
      { "na": "Towar 1", "il": 1.0, "vt": 0,"pr": 1235}, 
      {  
         "na": "Towar 2", "il": 1.0, "vt": 0,"pr": 3450, "desc": "Opis do towaru", "unit": "kg", "code": "ABCD1234", "pkwiu": "56.10.11.0",
         "discounts": [
            {
               "type": "basic",
               "discount": {
                  "na": "Extra fee",
                  "rp": 1000,
                  "rd" : true
               }
            }
         ]
      },
      { "na": "Towar stawka B", "il": 1.0, "vtn": "B","pr": 600},
      { "na": "Towar stawka C", "il": 2.0, "vtn": "C","pr": 400},
      { "na": "Towar stawka D", "il": 3.0, "vtn": "D","pr": 400, "desc": "Opis inny do towaru", "unit": "cm", "code": "DEF123", "pkwiu": "58.12.10.5"},
      { "na": "Towar stawka E", "il": 3.0, "vtn": "E","pr": 250}
   ],
   "efaktura": {
      "idz": "11",
      "email": "jan.kowalski-1@email.com",
      "phone": "555555555"
   },
   "summary": {
      "to": 7690
   },
   "header" : {
      "nm": "Vat",
      "cc": 0,
      "co": false,
      "ln": 40,
      "fn": 40,
      
      "na": ["MOJA SPÓŁKA Z OGRANICZONĄ ODPOWIEDZIALNOŚCIĄ"],
      "ni": "5552227744",
      "ad": ["Aleje Jerozolimskie 999", "02-000"],
      "ad_sc" : 0,
      "ad_at": 0,
      
      "nb": "1124",
      "nb_sc" : 0,
      "nb_at": 0
   },
   "footer": {
      "action": "cut_move",
      "cashier": "Jan Kowalski",
      "cashregisternumber": "12345678",
      "systemnumber": "FV 567/2021",
      "footerimage": 1,
      "barcode": {
         "type": "qrcode",
         "qrcode": {
            "header": "DOKUMENT_NIEFISKALNY",
            "width": 10,
            "correctionlevel": 3,
            "inputtype": "ascii",
            "message": "Black Fox!"
         }
      }
   },
   "extralines3": [
      {
         "text": "Lininka informcyjna na dole",
         "section": "bottom"
      },
      {
         "text": "Lininka informcyjna w srodku",
         "section": "middle"
      },
      {
         "text": "Lininka informcyjna na gorze",
         "section": "top"
      }
   ],
   "payments": [
      {
         "ty": 8,
         "wa": 555,
         "na": "Konto klienta",
         "re": false
      },
      {
         "ty": 7,
         "wa": 666,
         "na": "Voucher",
         "re": false
      },
      {
         "ty": 6,
         "wa": 777,
         "na": "Inna platnosc",
         "re": false
      },
      {
         "ty": 5,
         "wa": 888,
         "na": "Kredyt AA",
         "re": false
      },
      {
         "ty": 4,
         "wa": 999,
         "na": "Bon yyy",
         "re": false
      },
      {
         "ty": 3,
         "wa": 510,
         "na": "Czek xxx",
         "re": false
      },
      {
         "ty": 2,
         "wa": 500,
         "na": "Visa ... ... 0456",
         "re": false
      },
      {
         "ty": 0,
         "wa": 646,
         "na": "Gotowka",
         "re": false
      }
   ]
}
'
